name: backend
version: 0.1
cabal-version: >= 1.8
build-type: Simple

library
  hs-source-dirs: src
  if impl(ghcjs)
    buildable: False
  build-depends: base
               , aeson
               , beam-core >= 0.9
               , beam-automigrate >= 0.1.1.0
               , beam-postgres >= 0.5
               , bytestring
               , common
               , constraints-extras
               , clientsession
               , dependent-sum
               , directory
               , frontend
               , gargoyle
               , gargoyle-postgresql-connect
               , monad-control
               , obelisk-backend
               , obelisk-route
               , postgresql-simple
               , pwstore-fast
               , resource-pool
               , snap
               , text
               , time
  exposed-modules:
    Backend
    Backend.Schema
    Backend.Commands
  ghc-options: -Wall

executable backend
  main-is: main.hs
  hs-source-dirs: src-bin
  ghc-options: -threaded -rtsopts
  if impl(ghcjs)
    buildable: False
  build-depends: base
               , backend
               , common
               , frontend
               , obelisk-backend

executable create-account
  main-is: create-account.hs
  ghc-options: -threaded -rtsopts
  hs-source-dirs: src-bin
  if impl(ghcjs)
    buildable: False
  build-depends: base
               , backend
